<?php
namespace Biz\Pay\DataAccess;
/**
 * dataAcess
 */
class DataAccess implements Biz\Pay\Facades\IdataAccess, \ArrayAccess {
	protected $AccessData = array();
	public function offsetExists($key) {
		return isset($this->AccessData[$key]);
	}
	public function offsetSet($key, $value) {
		$this->AccessData[$key] = $value;
	}

	public function offsetGet($key) {
		return $this->AccessData[$key];
	}

	public function offsetUnset($key) {
		unset($this->AccessData[$key]);
	}

	public function set($name, $value) {
		$this->AccessData[$name] = $value;
	}
	public function get($name) {
		return $this->AccessData[$name];
	}
	public function hasExists($name) {
		return isset($this->AccessData[$name]);
	}
}
?>